---
title: PointerEvent.tangentialPressure
slug: Web/API/PointerEvent/tangentialPressure
tags:
  - API
  - DOM
  - Pointer Events
  - PointerEvent
  - Property
  - Reference
  - tangentialPressure
---
<div>{{ APIRef("Pointer Events") }}</div>

<p>The <strong><code>tangentialPressure</code></strong> read-only property of the {{domxref("PointerEvent")}} interface represents the normalized tangential pressure of the pointer input (also known as barrel pressure or <a href="https://en.wikipedia.org/wiki/Cylinder_stress">cylinder stress</a>).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>tanPressure</em> = <em>pointerEvent</em>.tangentialPressure;
</pre>

<h3 id="Return_value">Return value</h3>

<p>A <code>float</code> representing the normalized tangential pressure of the pointer input in the range <code>-1</code> to <code>1</code>, inclusive, where <code>0</code> is the neutral position of the control.</p>

<p>Note that some hardware may only support positive values in the range <code>0</code> to <code>1</code>. For hardware that does not support tangential pressure, the value will be <code>0</code>.</p>

<h2 id="Example">Example</h2>

<p>In this snippet, when a {{event("pointerdown")}} event is fired, different functions are called depending on the value of the event's <code>tangentialPressure</code> property.</p>

<pre class="brush: js">someElement.addEventListener('pointerdown', function(event) {
  if (event.tangentialPressure == 0) {
    // No pressure
    process_no_tanPressure(event);
  } else if (event.tangentialPressure == 1) {
    // Maximum pressure
    process_max_tanPressure(event);
  } else {
    // Default
    process_tanPressure(event);
  }
}, false);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events 2','#dom-pointerevent-tangentialpressure', 'tangentialPressure')}}</td>
   <td>{{Spec2('Pointer Events 2')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.PointerEvent.tangentialPressure")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("Touch.force") }}</li>
</ul>
